<%- cache(header_bar_view) do -%>
  <%= element_view_for(header_bar_view) do |el| -%>
    <div class="bar">
      <%= el.render :logo, {}, class: 'logo' %>
      <% header_bar_view.nested_elements.each do |nested_element| %>
        <%= element_view_for(nested_element) do |nel| -%>
          <%= nel.render :text, {}, class: 'button' %>
        <% end %>
      <% end %>
    </div>
  <%- end -%>
<%- end -%>
